﻿<script type="text/ng-template" id="myModalContent.html">
    <div class="modal-header vazir-font text-right">
        <h3 class="modal-title text-danger">لطفاً موارد زیر را قبل از وارد کردن اطلاعات به دقت مطالعه نمائید</h3>
    </div>
    <div class="modal-body vazir-font text-right">
        <p style="margin-bottom:4px">اطلاعات محرمانه را در سایت وارد نمی کنم</p>
        <p style="margin-bottom:4px">رمز کاربری خود را در اختیار دیگران قرار نمی دهم</p>
        <p style="margin-bottom:4px">اطلاعات و سوالات خود را در بخش های مرتبط  قرار می دهم</p>
        <p style="margin-bottom:4px">مشخصات شخصی خود را کاملاً دقیق و صحیح وارد می کنم</p>
    </div>
    <div class="modal-footer vazir-font">
        <button class="btn btn-info pull-left" type="button" ng-click="cancel()">بستن</button>
    </div>
</script>

<script type="text/ng-template" id="passModal.html">
    <div class="modal-header vazir-font text-right">
        <h3 class="modal-title text-danger">تغییر رمز عبور</h3>
    </div>
    <div class="modal-body vazir-font text-right no-padding-bottom">
        <div class="row">
            <div class="form-group col-xs-9">
                <input tabindex="1" type="email" dir="rtl" class="form-control" name="username" ng-model="Email" placeholder="ایمیل" required>
            </div>
            <div class="form-group col-xs-3">
                <button tabindex="2" type="button" ng-click="sentPassToEmail()" dir="rtl" class="form-control btn btn-success">ارسال به ایمیل</button>
            </div>
        </div>
    </div>
    <div class="modal-footer vazir-font">
        <button class="btn btn-info pull-left" type="button" ng-click="cancel()">بستن</button>
    </div>
</script>

<div class="row">
    <div class="col-xs-12 vazir-font text-center" style="margin-top:20px"><img src="images/Logo.png" width="80"/>
    </div>
    <div class="text-center col-xs-12  vazir-font">
        <label style="font-size: 14px">
            اداره کل ارتباطات و علائم الکتریکی
        </label>
    </div>
    <div class="col-xs-12 text-center vazir-font">
        <label class="persian-rtl" style="font-size: 25px">
            سامانه پویای نگهداشت تجهیزات ارتباطی<span style="font-size: 17px"> (سپنتا)</span>
        </label>
        <label class="col-xs-12" style="font-size: 15px">
        ما برای وصل کردن آمدیم
        </label>
        <div class="hr col-xs-12"></div>
    </div>
    <div class="col-sm-4 col-sm-offset-2 col-xs-12">
        <form ng-submit="savePerson()" name="signUpForm" class="vazir-font" autocomplete="off">
            <input style="display:none" type="text" name="email" />
            <input style="display:none" type="password" name="password" />
            <!--<div class="col-xs-12">
                <div class="text-center">
                    <label style="font-size: 20px">ثبت نام <i class="fa fa-sign-in" aria-hidden="true"></i></label>
                </div>
                <div class="hr"></div>
            </div>-->
            <div class="form-group col-xs-12" ng-class="{false: '', true: 'has-error'}[!signUpForm.name.$valid && signUpForm.name.$touched]">
                <div class="col-xs-12">
                    <input type="text" dir="rtl" class="form-control" ng-pattern="userNameRegex" name="name" ng-model="user.FullName" id="name" placeholder="نام و نام خانوادگی (فارسی)" required>
                </div>
            </div>
            <!--<div class="form-group col-xs-12" ng-class="{false: '', true: 'has-error'}[!signUpForm.userName.$valid && signUpForm.userName.$touched || userNameError]">
                <div class="col-xs-12">
                    <input type="text" dir="rtl" ng-pattern="userNameRegex" ng-change="checkUserName(user.Username)" ng-model-options="{debounce :1500}" class="form-control" ng-model="user.Username" name="userName" id="userName" placeholder="نام کاربری" required>
                </div>
            </div>-->
            <div class="form-group col-xs-12" ng-class="{false: '', true: 'has-error'}[!signUpForm.email.$valid && signUpForm.email.$touched || emailError]">
                <div class="col-xs-12">
                    <input type="email" dir="rtl" ng-change="checkEmail(user.Email)" ng-model-options="{debounce :1500}" class="form-control" ng-model="user.Email" name="email" id="email" placeholder="ایمیل" required>
                </div>
            </div>
            <div class="form-group col-xs-12" ng-class="{false: '', true: 'has-error'}[!signUpForm.password.$valid && signUpForm.password.$touched]">
                <div class="col-xs-12">
                    <input type="password" dir="rtl" class="form-control" ng-model="user.Password" name="password" placeholder="پسورد" required>
                </div>
            </div>
            <!--<div class="form-group col-xs-12" ng-class="{false: '', true: 'has-error'}[!signUpForm.passwordRe.$valid && signUpForm.passwordRe.$touched || user.PasswordRe != user.Password]">
                <div class="col-xs-12">
                    <input type="password" dir="rtl" class="form-control" ng-model="user.PasswordRe" name="passwordRe" placeholder="تکرار پسورد" required>
                </div>
            </div>-->
            <div class="form-group col-xs-12">
                <div class="col-xs-12">
                    <ui-select ng-model="Position.selected" theme="bootstrap" sortable="true" close-on-select="true" required>
                        <ui-select-match placeholder="منطقه">{{Position.selected.OrganizationName}}</ui-select-match>
                        <ui-select-choices repeat="edu in allPositions">
                            <div compile="edu.OrganizationName | highlight: $select.search"></div>
                        </ui-select-choices>
                    </ui-select>
                </div>
            </div>
            <!--<div class="form-group col-xs-12" ng-class="{false: '', true: 'has-error'}[!signUpForm.telephone.$valid && signUpForm.telephone.$touched]">
                <div class="col-xs-12">
                    <input type="tel" dir="rtl" class="form-control" ng-model="user.PhoneNumber" name="telephone" placeholder="شماره موبایل" required ng-minlength="6">
                </div>
            </div>-->
            <div class="form-group col-sm-12" ng-class="{false: '', true: 'has-error'}[!signUpForm.phone.$valid && signUpForm.phone.$touched]">
                <div class="col-xs-12">
                    <input type="tel" ng-model="user.Tel" dir="rtl" class="form-control" name="phone" placeholder="شماره تلفن سازمانی" ng-required="true" ng-minlength="6">
                </div>
            </div>
            <div class="form-group col-xs-12">
                <div class="col-xs-12 text-right">
                    <label style="color: white" class="control-label"><a ng-click="openRoleModal()">قوانین </a> سایت را قبول دارم</label>
                    <input class="pull-right" ng-click="openRoleModal()" type="checkbox" ng-model="user.roleAccepted" value="true" style="margin-left: 20px">
                </div>
            </div>
            <div class="row col-xs-12" ng-show="user.roleAccepted">
                <div class="form-group col-xs-12">
                    <div class="form-group col-xs-12" vc-recaptcha ng-model="user.myRecaptchaResponse"></div>
                </div>
            </div>
            <div class="form-group col-xs-12 pull-right">
                <div class="col-xs-12">
                    <button type="submit" dir="rtl" class="form-control btn btn-block btn-success" name="submit">ثبت نام</button>
                </div>
            </div>
        </form>
    </div>
    <div class="col-sm-4 vazir-font" style="margin-top:5%">
        <!--<div class="text-center">
            <label style="font-size: 20px">ورود به انجمن</label>
        </div>-->
        <!--<div class="hr"></div>-->
        <div class="col-xs-12 hidden-lg hidden-md hidden-sm text-center vazir-font">
            <label style="font-size: 15px; margin-top: 20px; margin-bottom:0px;color:white">ورود به انجمن</label>
        </div>
        <div class="col-xs-12 hr hidden-lg hidden-md hidden-sm"></div>
        <div class="col-xs-12">
            <div class="text-center col-xs-12" ng-show="userSession.UserID">
                <label style="font-size: 15px; margin-bottom: 20px;color:white">سلام <b>{{userSession.FullName}}</b></label>
            </div>
            <div class="form-group col-xs-12 col-sm-8 col-sm-offset-2" ng-show="userSession.UserID">
                <button tabindex="0" type="button" dir="rtl" ng-click="logInUser()" class="form-control btn btn-success pull-right">ورود به انجمن <i class="fa fa-sign-in" aria-hidden="true"></i></button>
            </div>
            <div class="form-group col-xs-12 col-sm-8 col-sm-offset-2" ng-show="userSession.UserID">
                <button tabindex="0" type="button" dir="rtl" ng-click="signOutUser()" class="form-control btn btn-danger pull-right">خروج <i class="fa fa-sign-out" aria-hidden="true"></i></button>
            </div>
            <form name="signInForm" ng-submit="signInFunc()" ng-hide="userSession.UserID">
                <div class="form-group col-xs-12" ng-class="{false: '', true: 'has-error'}[!signInForm.username.$valid && signInForm.username.$touched]">
                    <input tabindex="1" type="text" dir="rtl" class="form-control" name="username" ng-model="signIn.Username" placeholder="ایمیل" required>
                </div>
                <div class="form-group col-xs-12" ng-class="{false: '', true: 'has-error'}[!signInForm.password.$valid && signInForm.password.$touched]">
                    <input tabindex="2" type="password" dir="rtl" class="form-control" name="password" ng-model="signIn.Password" placeholder="پسورد" required>
                </div>
                <div class="form-group col-xs-12 col-sm-6 pull-right">
                    <button tabindex="3" type="submit" dir="rtl" class="form-control btn btn-success">ورود</button>
                </div>
                <div class="form-group col-xs-12 col-sm-6 text-center" style="margin-top:8px">
                    <a ng-click="openForgetPassModal()" style="font-size:15px">فراموشی رمز</a> 
                </div>
            </form>
        </div>
    </div>
</div>